Returns the Bussinesses in the current user's Portfolio.
curl --request GET \
--url https://api.creditriskmonitor.com/v1/Portfolio \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditriskmonitor.com/v1/Portfolio"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditriskmonitor.com/v1/Portfolio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Success": true,
"Data": [
{
"BusinessId": 123,
"BusinessName": "<string>",
"FRISKScore": 123,
"FRISKLastChangeDate": "2023-11-07T05:31:56Z",
"ZScore": 123,
"ZScoreLastChangeDate": "2023-11-07T05:31:56Z",
"DBTIndex": 123,
"PAYCEScore": 123,
"PAYCELastChangeDate": "2023-11-07T05:31:56Z",
"LatestStatementDate": "2023-11-07T05:31:56Z",
"CurrentFiscalYear": 123,
"CurrentFiscalQuarter": 123,
"FinancialsLastChangeDate": "2023-11-07T05:31:56Z"
}
],
"ErrorCode": "<string>"
}Businesses
List Portfolio Businesses for the current user
Retrieves all businesses in the user’s current portfolio with optional date filtering.
GET
/
v1
/
Portfolio
Returns the Bussinesses in the current user's Portfolio.
Use the Login endpoint to retrieve the
SessionKey, then include it in the Authorization field for authentication.Authorizations
Enter the Session Key with the Bearer prefix, e.g. "Bearer abcde12345".
Query Parameters
First row to return
Last row to return
Results will only include Businesses that have had changes since this date. Leave NULL to return all Businesses.
Was this page helpful?
⌘I